%define dist WeakRef
Name: perl-%dist
Version: 0.01
Release: alt1

Summary: An API to the Perl weak references
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: %dist-%version.tar.gz

# Automatically added by buildreq on Mon May 17 2004
BuildRequires: perl-devel

%description
A patch to Perl 5.005_55 by the author implements a core API for weak
references. This module is a Perl-level interface to that API, allowing
weak references to be created in Perl.

A weak reference is just like an ordinary Perl reference except that
it isn't included in the reference count of the thing referred to.
This means that once all references to a particular piece of data are
weak, the piece of data is freed and all the weak references are set
to undef. This is particularly useful for implementing circular
data structures without memory leaks or caches of objects.

%prep
%setup -q -n %dist-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_archlib/WeakRef*
%perl_vendor_autolib/WeakRef*
%perl_vendor_man3dir/WeakRef*

%changelog
* Mon May 17 2004 Alexey Tourbin <at@altlinux.ru> 0.01-alt1
- initial revision (required by FileHandle-Unget, which is required
  by Mail-Mbox-MessageParser, which in turn is required by grepmail)
